=== debian/changelog ===
ros-indigo-rosserial-python (0.6.4-0trusty) trusty; urgency=high

  * Add default queue_size of 10 for rosserial_python publisher, fixes warning.
  * Contributors: Basheer Subei, David Lavoie-Boutin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-indigo-rosserial-python (0.6.3-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-indigo-rosserial-python (0.6.2-0trusty) trusty; urgency=high

  * Added MD5 verification for request and response messags upon ServiceClient registration.
  * Enabled registration of service clients
  * Contributors: Jonathan Jekir

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-rosserial-python (0.6.1-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-python (0.6.0-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-python (0.5.6-0trusty) trusty; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * Added the missing inWaiting() to RosSerialServer
  * improvement: inform user of mismatched checksum for topic_id and msg
  * Fix indent on if-block.
  * Check for data in buffer before attempting to tryRead. Insert a 1ms sleep to avoid pegging the processor.
  * Better warning message for tryRead.
  * fix two points: 1. the number of bytes to read for chk_byte, 2. the wrong indentation about the defination of sendDiagnostics()
  * Try-block to handle IOErrors thrown from tryRead
  * Merge from hydro-devel.
  * fix the dupilcated registration problem of subscriber
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification. fix the dupilcated registration problem of subscriber
  * modified rosserial
  * modified rosserial
  * Contributors: Girts Linde, Mike Purvis, Moju Zhao, bakui, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-indigo-rosserial-python (0.5.5-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-indigo-rosserial-python (0.5.4-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.5.3-0trusty) trusty; urgency=high

  * De-register subscribers and service clients upon disconnect.
    This prevents callbacks being called after a client program
    terminates a connection.
  * Fill out package.xml properly, include docstring in helper Python node.
  * Add message info helper script that supports rosserial_server

 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.5.2-0trusty) trusty; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.5.1-0trusty) trusty; urgency=high

  * Merge branch 'rosserial_bakui' of git://github.com/tongtybj/rosserial into tongtybj-rosserial_bakui
    * Modified the frame structure for serial communication, particularly add the checksum for msg_len
  * Incorporate protocol version in message. Try to detect protocol version mismatch and give appropriate hints.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.4.5-0trusty) trusty; urgency=high

  * Fix SeviceServer member names in error message
    'm' prefix was omitted, causing an exception while trying to print
    an error about md5 mismatches. Fix this to allow the error to be
    presented to the user.
  * Allow service calls with empty requests
    std_srvs::Empty has a request message of size zero. SerialClient.send
    returns the size of the sent message, which is checked to ensure
    data crossed the serial line. Accommodate services with empty requests
    by modifying the check to acknowledge all transmissions of zero or
    more bytes as valid.
  * revert name of node, add a few comments/spacing
  * fix private parameters - temporary fix breaks fork_server for tcp
  * Fix #35 <https://github.com/ros-drivers/rosserial/issues/35>

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 02 Jul 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.4.4-0trusty) trusty; urgency=high

  * Fixed "Lost sync" message at initial connection that happens on both Arduino &
    embeddedLinux. Problem was last_sync initialized to epoch and compared against
    Time.now() always times out on first compare.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 20 Mar 2013 04:00:00 -0000

ros-indigo-rosserial-python (0.4.3-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 18:08:00 -0000

ros-indigo-rosserial-python (0.4.2-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 05:15:00 -0000

ros-indigo-rosserial-python (0.4.1-0trusty) trusty; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-indigo-rosserial-python (0.4.0-0trusty) trusty; urgency=high

  * initial catkin version on github

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 08 Mar 2013 05:00:00 -0000
