=== debian/control ===
Source: ros-indigo-rosserial-python
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/rosserial_python
Standards-Version: 3.9.2

Package: ros-indigo-rosserial-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-indigo-diagnostic-msgs, ros-indigo-rospy, ros-indigo-rosserial-msgs
Description: A Python-based implementation of the ROS serial protocol.
